%define major 1.5
%define minor a60

Name: star
Version: %major
Release: alt0.1%{minor}

Summary: Star is the fastest known implementation of a tar archiver
Summary(ru_RU.KOI8-R):    tar (POSIX)  
License: CDDL
Group: Archiving/Backup
URL: http://cdrecord.berlios.de/old/private/star.html
Source: ftp://ftp.berlios.de/pub/star/alpha/star-%major%minor.tar.bz2

# Automatically added by buildreq on Wed Jun 22 2005
BuildRequires: libattr-devel libe2fs-devel

%package rmt 
Summary: Schily SING version of the rmt
Summary(ru_RU.KOI8-R): rmt 
Group: Archiving/Backup
Conflicts: rmt

%description
Star saves many files together into a single tape or disk archive,
and can restore individual files from the archive. It includes a FIFO
for speed, a pattern matcher, multivolume support, the ability to archive
sparse files, automatic archive format detection, automatic byte order
recognition, automatic archive compression/decompression, remote archives
and special features that allow star to be used for full backups.
It also includes rmt', a truly portable version of the remote tape server
that supports remote operation between different OS and machine architectures
(hides even Linux oddities) and a portable mt' tape drive control program
that is able to use the remote tape interface.

%description -l ru_RU.KOI8-R
Star -     tar,  
 :
   -     FIFO
   -   
   -    
   -    (GNU, POSIX, old tar, pax, SUN tar)
   -    (POSIX tar  8Gb, POSIX.1-2001  )
   -     (-diff)
   -  POSIX ACL

%description rmt
This is enhanced Schily SING version of the rmt remote tape server program.
rmt is a program used by programs like star and ufsdump hat like to access 
remote magnetic tape drives and files through an interprocess communication 
connection.

%description -l ru_RU.KOI8-R rmt
  rmt  Schily SING. rmt   
   star  ufsdump        
   .

%prep

%setup -q

# kill annoying beep and sleep
%__subst 's/^__gmake_warn.*//' RULES/mk-gmake.id

%build
%__subst 's/\/etc\/default/\/etc\/rmt/' rmt/rmt.c rmt/rmt.dfl

#./Gmake.linux PARCH=%_arch
%make_build CC=gcc LDCC=gcc DYNLD=gcc COPTOPT="%optflags" PARCH=%_arch

%install
%__make install INS_BASE=$RPM_BUILD_ROOT%_prefix MANDIR=/share/man

%__install -m600 -pD rmt/rmt.dfl %buildroot%_sysconfdir/rmt/rmt
echo '.so star.1' > $RPM_BUILD_ROOT%_man1dir/ustar.1

rm -rf $RPM_BUILD_ROOT{%_man3dir,%_man5dir/m*,%_man1dir/match*}
# avoid conflicts with tar and mt-st packages:
rm -f $RPM_BUILD_ROOT%_bindir/{mt,tar}
# remove devel files (thus avoid conflict with cdrtools-devel)
rm -rf $RPM_BUILD_ROOT/usr/include
rm -f $RPM_BUILD_ROOT/%_libdir/*.a

%files
%_bindir/*tar*
%_bindir/smt
%_bindir/scpio
%_bindir/spax
%_man1dir/*tar*
%_man1dir/scpio*
%_man1dir/smt*
%_man1dir/spax*
%_man5dir/*
%doc README README.crash README.largefiles README.mtio README.otherbugs
%doc README.pattern README.pax README.posix-2001
%doc STARvsGNUTAR AN-%major%minor

%files rmt
%dir %_sysconfdir/rmt/
%_sysconfdir/rmt/rmt 
%_sbindir/rmt
%_man1dir/rmt.1.*

%changelog		   
* Wed Jun 22 2005 Victor Forsyuk <force@altlinux.ru> 1.5-alt0.1a60
- Fix URL.
- Apply %%optflags and build with parallel make.
- License changed from GPL to CDDL.
- Fix buildreqs, many other spec cleanups and fixes.

* Sat Nov 16 2002 Igor Homyakov <homyakov at altlinux dot ru> 1.5-alt0.1a09
- 1.5a09
- russian translation for star-rmt
- 'mt' command is 'smt' now (renamed by author)
- 'smt' moved to star package
- spec cleanup

* Tue Sep 17 2002 Igor Homyakov <homyakov at altlinux dot ru> 1.5-alt0.1a08
- 1.5a08
- build Shily's (r)mt utilies (star-rmt package)
 
* Wed Jul 17 2002 Igor Homyakov <homyakov at altlinux dot ru> 1.5-alt0.1a05
- 1.5a05

* Mon Jun 24 2002 Igor Homyakov <homyakov at altlinux dot ru> 1.5-alt0.1a04
- 1.5a04

* Fri May 24 2002 Igor Homyakov <homyakov@altlinux.ru> 1.4-alt1
- 1.4 (stable) 

* Wed May 15 2002 Igor Homyakov <homyakov@altlinux.ru> 1.4-alt0.1a26
- 1.4a26

* Mon Apr 15 2002 Igor Homyakov <homyakov@altlinux.ru> 1.4-alt0.1a21
- build 1.4a21  
- spec cleanup  

* Tue Mar 05 2002 Igor Homyakov <homyakov@altlinux.ru> 1.4-alt0.1a18
- Build package for ALTLinux
- russian translation for spec file
